#pragma once

#include "Common.h"
#include "nbt/NBT.h"
#include "Chunk.h"
#include "Palette.h"

#include <cstdint>
#include <string>

namespace Feather
{
    class World
    {
    public:
        // global palette of all block states
        static const GlobalPalette<BlockState> GLOBAL_PALETTE;

        // TEMP
        NBT::CompoundTag* m_chunkNBT;
        Chunk* m_chunk;

        struct LevelData
        {
            int32_t spawnX, spawnY, spawnZ;
        } m_levelData;

        World(std::string name);
    };
}